Last Comment Bug 604012 - (fx40-p12n-sq) [sq] Firefox 4.0 productization review for Albanian
(fx40-p12n-sq)
: [sq] Firefox 4.0 productization review for Albanian
Status: RESOLVED FIXED
[l10n-src-verification updated]
: productization
Product: Mozilla Localizations
Classification: Client Software
Component: sq / Albanian (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Besnik Bleta
: Besnik Bleta
Mentors:
Depends on: 603298
Blocks: fx40-p12n
  Show dependency treegraph
 
Reported: 2010-10-13 06:39 PDT by Staś Małolepszy :stas
Modified: 2010-12-02 12:02 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
hg diff after removing references to Bloglines (1.07 KB, text/plain)
2010-11-06 10:41 PDT, Besnik Bleta
sethb: review+
Details
Bing related patch for l10n-central (1.42 KB, text/plain)
2010-11-29 10:36 PST, Besnik Bleta
sethb: review-
Details
removing three extra lines, adding Amazon.co.uk plugin (3.10 KB, text/plain)
2010-11-30 13:12 PST, Besnik Bleta
sethb: review-
Details
renaming plugins (1.41 KB, text/plain)
2010-12-01 11:31 PST, Besnik Bleta
stas: review-
Details
Bing related patch for l10n-central (5.50 KB, text/plain)
2010-12-02 01:15 PST, Besnik Bleta
stas: review-
Details
getting rif of bing.xml related patch for l10n-central (3.15 KB, text/plain)
2010-12-02 02:24 PST, Besnik Bleta
stas: review+
Details

Description Staś Małolepszy :stas 2010-10-13 06:39:15 PDT
As you might have seen in the newsgroups or on the Mozilla blog, there's a couple of changes to search engines planned for the 4.0 release for en-US: <http://groups.google.com/group/mozilla.dev.l10n/msg/81073d8d67e1c4c3>. We would like to use this opportunity to review the current productization setup for Albanian and make any changes that you think will be good for our users.

What is a productization review?
================================

Here's what we're interested in:
* search engines,
* protocol handlers,
* feed readers,
* live bookmark.
You can see what your locale currently ships with at <http://hg.mozilla.org/l10n/l10n-src-verification/file/default/reference/browser/2.0/sq>

Please take a moment and review the choice of services available by default in your locale. If there have been any new services that have recently gained popularity and that offer good value for the users, please suggest adding them to your locale. On the other hand, if there are services that lost credibility (e.g. display too many adds) or have poor user experience, consider suggesting that we remove them. If in doubt, feel free to make a suggestion and we'll look at it together. You might find the guidelines at <https://wiki.mozilla.org/L10n:Productization> and <https://wiki.mozilla.org/L10n:Firefox/Productization> helpful, too.

Required changes
================

There's two things I would like to draw your attention to (if applicable):

1) if you have a google.xml file in your `searchplugins` directory, please remove it,

2) Bloglines is closing down on November 1st and we need to remove it from the feed reader options for all locales (see bug 595485). We suspect that it will make sense to move Google Reader up to the first position (if your locale has it). We will be offering technical help with this change, either in form of ready-made patches or a mass-landing by one of the l10n-drivers. If you don't think that moving Google Reader up is a good idea for your locale, please let us know!

Changes in en-US and en-GB
==========================

Here's the changes that we will be making in en-US and en-GB:
* add Bing as the 3rd general search engine (see bug 603298),
* remove Answers,
* remove Creative Commons.

We're making these changes in en-US and en-GB because we feel that they follow the recent market trends and user preferences in the US and the UK. We would like to go through the same thought process for your locale and see if any of these changes would make sense in Albanian builds as well. If you decide that implementing these changes would be in your users' best interest then please go ahead and include them in the patch you'll attach to this bug.


Implementation
==============

Please make suggestions for changes and attach patches that Seth, Axel or I will review. Please note that since Bing provides a global plugin which does the locale detection itself, you will only need to add "bing" to your list.txt if you decide to include it. The XML file will be automatically pulled from en-US.

Once a review is granted, you can land the patch on l10n-central if your locale actively maintains it. Otherwise, please wait for further instructions which will be put in the comments of this bug and announced in mozilla.dev.l10n (we're still unsure when the branching will happen). Please do not land any changes except for the required ones (google.xml, Bloglines) on 1.9.2.

If you do not wish to make any changes, let us know, and we'll only work on removing Bloglines.

Thanks!
Comment 1 Besnik Bleta 2010-10-15 23:16:45 PDT
Since Bing is not available in Albanian, let it stay out for now.
Comment 2 Seth Bindernagel 2010-10-19 10:01:47 PDT
Can you prepare a patch that removes Bloglines from 1.9.2?  Please attach that patch and flag me for a review.
Comment 3 Besnik Bleta 2010-11-06 10:41:08 PDT
Created attachment 488678 [details]
hg diff after removing references to Bloglines

Here you are, Seth.
Comment 4 Seth Bindernagel 2010-11-15 04:43:28 PST
Comment on attachment 488678 [details]
hg diff after removing references to Bloglines

Thanks.  Please check this into 1.9.2.  Please add a comment to that check in that references bug 604012 and this change.
Comment 6 Seth Bindernagel 2010-11-15 09:45:22 PST
As discussed on IRC, let's create one more patch for l10n-central making similar changes with Bloglines, cleaning up any unneeded XML files, and, finally, considering the addition of Bing.  OK?  Attach the l10n-central patch when ready.
Comment 7 Besnik Bleta 2010-11-29 10:36:07 PST
Created attachment 493724 [details]
Bing related patch for l10n-central

Would it be possible to change amazondotcom to amazondotcodotuk on searchplugins/list.txt?
Comment 8 Seth Bindernagel 2010-11-30 06:54:42 PST
(In reply to comment #7)
> Created attachment 493724 [details]
> Bing related patch for l10n-central
> 
> Would it be possible to change amazondotcom to amazondotcodotuk on
> searchplugins/list.txt?

Yes, that would be possible, but we'll have to add a new XML file for Amazon.co.uk and then change list.txt appropriately.  

Kev Needham (now cc-ed) typically takes care of the search plugins for our partners.  Kev, would you like to add the Amazon.co.uk search plugin for Besnik to this bug?
Comment 9 Seth Bindernagel 2010-11-30 06:56:00 PST
Comment on attachment 493724 [details]
Bing related patch for l10n-central

Hey Besnik, this is a small nit, but I see three extra lines in this plugin.  can you remove those from the patch and reattach for review?
Comment 10 Staś Małolepszy :stas 2010-11-30 07:00:12 PST
I told Besnik on IRC that he could copy the amazon-en-GB plugin from en-GB: https://hg.mozilla.org/l10n-central/en-GB/file/880c9ea3467e/browser/searchplugins/amazon-en-GB.xml.
Comment 11 Besnik Bleta 2010-11-30 13:12:14 PST
Created attachment 494114 [details]
removing three extra lines, adding Amazon.co.uk plugin

Following Seth's and Stas'suggestions, here's the new patch.
Comment 12 Seth Bindernagel 2010-12-01 03:16:59 PST
Comment on attachment 494114 [details]
removing three extra lines, adding Amazon.co.uk plugin

Before I approve this patch, you'll need to make one quick change to your list.txt file.  You do not want to add "amazondotcom" because that will pick up the en-US version of amazon that ships with the en-US source.  What you want to do is add the name of the Amazon.co.uk XML file that you have created with this plugin.  In your case, it looks like it is "amazon-sq".  

If you wanted to mimic the en-GB file, you could rename it to "amazon-en-GB" as seen here: https://hg.mozilla.org/l10n-central/en-GB/file/default/browser/searchplugins/list.txt
Comment 13 Staś Małolepszy :stas 2010-12-01 03:34:04 PST
In fact, please don't rename amazon-en-GB to amazon-sq. The latter would suggest that it's Albanian Amazon. It will help us in the future if we can just search for amazon-en-GB to see which locales are using it in case we need to update the plugin. Thanks!
Comment 14 Besnik Bleta 2010-12-01 11:28:05 PST
Do the naming policies you mention above apply only to list.txt or both list.txt AND plugin names? Should it be bing.xml or bing-sq.xml? (No Bing in Albanian, afaik...)
Comment 15 Besnik Bleta 2010-12-01 11:31:37 PST
Created attachment 494452 [details]
renaming plugins

Here's a new diff, which attempts to fix list.txt and with plugin names without sq if there's not a localized version for them.
Comment 16 Staś Małolepszy :stas 2010-12-02 00:54:44 PST
(In reply to comment #14)
> Do the naming policies you mention above apply only to list.txt or both
> list.txt AND plugin names? Should it be bing.xml or bing-sq.xml? (No Bing in
> Albanian, afaik...)

Sorry if that's confusing. To both, because the name in list.txt must match the name of the plugin :) That's how Firefox knows which plugins to enable -- it looks in list.txt for plugin names, then looks for xml files with those names.
Comment 17 Staś Małolepszy :stas 2010-12-02 00:57:43 PST
Comment on attachment 494452 [details]
renaming plugins

>--- a/browser/searchplugins/list.txt	Mon Nov 29 10:33:08 2010 +0200
>+++ b/browser/searchplugins/list.txt	Wed Dec 01 21:16:29 2010 +0200
>@@ -1,7 +1,6 @@
>+amazondotcodotuk

Sorry, this is wrong. Please copy this file into your searchplugins/ directory: https://hg.mozilla.org/l10n-central/en-GB/file/880c9ea3467e/browser/searchplugins/amazon-en-GB.xml (don't forget to `hg add` it) and then add 'amazon-en-GB' to your list.txt.

HTH.
Comment 18 Besnik Bleta 2010-12-02 01:14:16 PST
Shame on me! I guessed that I needed to 'hg add' first. And did so. But it seems that I submitted  the wrong 'hg diff' output yesterday. Sorry for the mess.
Comment 19 Besnik Bleta 2010-12-02 01:15:49 PST
Created attachment 494661 [details]
Bing related patch for l10n-central
Comment 20 Staś Małolepszy :stas 2010-12-02 02:07:56 PST
Comment on attachment 494661 [details]
Bing related patch for l10n-central

This is almost good :) I know this is going to sound confusing, but while you need to add amazon-en-GB.xml (like you did), you don't need (and shouldn't) add bing.xml. The reason is that bing.xml is present in en-US, and so it's enough to put 'bing' in list.txt to have the bing.xml plugin file copied from en-US during build's repackaging. (This only works for en-US, not en-GB, which is why copying the amazon-en-GB.xml file manually is required.)

Care to try one last time? Just `hg rm` bing.xml and `hg diff` again.

BTW There's one minor thing I'd like to get fixed if we're going to have another patch anyways. Would you mind adding an exclamation mark at the end of My Yahoo content handler name? It should look like this:

>  browser.contentHandlers.types.1.title=My Yahoo!

Thanks Besnik!
Comment 21 Besnik Bleta 2010-12-02 02:24:55 PST
Created attachment 494671 [details]
getting rif of bing.xml related patch for l10n-central

I've also translated the description in the Amazon plugin:

<Description>Kërkim te Amazon.co.uk</Description>

Is this OK? Or is it going to block the plugin?
Comment 22 Staś Małolepszy :stas 2010-12-02 06:24:21 PST
Comment on attachment 494671 [details]
getting rif of bing.xml related patch for l10n-central

Yes, the description is fine. r=me, thanks. Please commit this patch mentioning this bug and my review.
Comment 23 Besnik Bleta 2010-12-02 06:48:51 PST
Done. 

Since we're here, should those changes be ported to Mobile for sq as well? If yes, do I need a bug for that too, or I'm free to port them?
Comment 24 Staś Małolepszy :stas 2010-12-02 11:27:17 PST
Thanks Besnik.

We should probably port some of the changes to Mobile, too, if they fit, but let's handle this in a separate bug. Seth or I will file one for every locale soon.

Note You need to log in before you can comment on or make changes to this bug.